<?php

App::uses('EvTeamAppController', 'EvTeam.Controller');
App::uses('ArrayUtil', 'Lib');

class TeamMembersController extends EvTeamAppController {

		protected function _adminFormFields() {
			$fields = parent::_adminFormFields();

			$fields['TeamMember.position']['label'] = 'Job Title';
			$fields['TeamMember.body']['type'] = 'html';

			$newFields = array();
			$newFields['Department.Department'] = array(
				'type' => 'multicheck',
				'label' => 'Department(s)'
			);

			$fields = ArrayUtil::addAfter($fields, 'TeamMember.name', $newFields);

			return $fields;
		}

		public function beforeFilter() {

			parent::beforeFilter();

			$this->Auth->allow(array(
				'index',
				'view',
				'search',
				'filter',
				'experts'
			));
		}

		protected function _adminPopulateLookups() {

			$Model = $this->{$this->modelClass};

			$departments = $Model->Department->find('list', array('conditions' => array('Department.is_active' => 1)));
			$this->set(compact('departments'));
		}

		public function index() {

			$Model = $this->{$this->modelClass};

			$departments = $Model->Department->getDepartments(null);

			$this->set('departments', $departments['departments']);

			$this->set('team_members', $this->TeamMember->getTeam(null));

			$this->assignPage('STAFF', 'page');
		}

		public function view($id) {

			$Model = $this->{$this->modelClass};

			$data = $Model->readForView($id);

			$this->Meta->set($data);
			$this->set('data', $data);
		}

		// redefined to allow us to show contact info
		public function admin_edit($id = null) {

			parent::admin_edit($id);

			$this->view = 'admin_form';
		}

	}
